Get a Supplier by supplierId
get
https://api.mercadoe.com/v1/suppliers/{supplierId}
Get information about a specific supplier with the given supplierId.
Request
Path Parameters
supplierId
int32
required
Responses
200
404
OK
Body
application/json
supplierId
int32
ME Supplier ID
clientSupplierId
string | null
Supplier code in the ERP
tradingName
string
Supplier’s trade name
companyName
string | null
Supplier’s company name
contact
string | null
Supplier contact name
address
string | null
Supplier address
city
string
Supplier city
addressNumber
string | null
Supplier’s address number
complement
string | null
Complement of the supplier’s address
neighborhood
string | null
Supplier neighborhood
state
string
Supplier state
country
string | null
Supplier country
postalCode
string | null
Supplier postal code
phoneNumber
string | null
Supplier phone number
email
string | null
Supplier email
languageId
int32 | null
Default language selection:
- 0 = Portuguese (BR)
- 1 = English
- 2 = Spanish
- 0 = Portuguese (BR)
- 1 = English
- 2 = Spanish
supplierGroup
string | null
Supplier Group
isDeactivated
boolean | null
Is the supplier deactivated/blocked? (True/False)
stateRegistrationNumber
string | null
deprecated
Supplier state registration number
stateRegistrations
array of object | null
Supplier state registrations
homologationStatus
string | null
Homologation Status
taxOption
string | null
Supplier tax option (in Portuguese, “Opção Fiscal”). Possible values:
- Normal: Supplier under the regular tax regime, outside Simples Nacional.
- Simples Nacional: Supplier under Brazil’s simplified tax regime for micro and small businesses.
- Simples Nacional Híbrido: Supplier under Simples Nacional that elects to calculate and pay IBS and CBS under the regular tax regime.
- MEI: Individual microentrepreneur under Brazil’s simplified tax regime for individual small businesses.
- Normal: Supplier under the regular tax regime, outside Simples Nacional.
- Simples Nacional: Supplier under Brazil’s simplified tax regime for micro and small businesses.
- Simples Nacional Híbrido: Supplier under Simples Nacional that elects to calculate and pay IBS and CBS under the regular tax regime.
- MEI: Individual microentrepreneur under Brazil’s simplified tax regime for individual small businesses.
paymentCondition
string | null
documents
array of object
Data related to the company national registration documents.
additionalEmails
array of object | null
Supplier additional email (separated by ;)
createdByName
string | null
Supplier creator’s name
May be the name of the user who created the supplier, or one of the predefined values:
“Integração”, “Institucional”, or “Portal”.
May be the name of the user who created the supplier, or one of the predefined values:
“Integração”, “Institucional”, or “Portal”.
createdByEmail
string | null
Supplier creator’s email